fop 2.3

## org.apache.fop.complexscripts.util
Class CharMirror

    java.lang.Object
      org.apache.fop.complexscripts.util.CharMirror

    public final class CharMirror

extends java.lang.Object

Mirror related utilities.

This work was originally authored by Glenn Adams (gadams@apache.org).

Method Summary
`static boolean` `hasMirrorable(java.lang.String s)` Determine if string has a mirrorable character.
`static java.lang.String` `mirror(java.lang.String s)` Mirror characters that are designated as having the bidi mirrorred property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mirror

    public static java.lang.String mirror(java.lang.String s)

  Mirror characters that are designated as having the bidi mirrorred property.

  Parameters:
    `s` - a string whose characters are to be mirrored
  Returns:
    the resulting string

### hasMirrorable

    public static boolean hasMirrorable(java.lang.String s)

  Determine if string has a mirrorable character.

  Parameters:
    `s` - a string whose characters are to be tested for mirrorability
  Returns:
    true if some character can be mirrored

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.